%define url_ver %(echo  %{version}|cut -d. -f1,2)

# filter panel applet .so from provides
%define __provides_exclude_from %{_libdir}/mate-panel/.*\\.so
%define __requires_exclude_from %{_libdir}/mate-panel/.*\\.so


%define api         4
%define major       1
%define libname     %mklibname mate-panel-applet %{api} %{major}
%define develname   %mklibname -d mate-panel-applet

%define gi_major    4.0
%define girname     %mklibname mate-panel-applet-gir %{gi_major}

Summary: The core programs for the MATE GUI desktop environment
Name:    mate-panel
Version: 1.28.0
Release: %mkrel 4
License: GPLv2+ and LGPLv2+
Group:   Graphical desktop/MATE
URL:     http://mate-desktop.org
Source0: http://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
Source1: default.layout
Patch0:  org.mate.panel.applet.clock.gschema.xml.in.patch
Patch1:  org.mate.panel.applet.window-list-previews.gschema.xml.in.new.patch
BuildRequires: pkgconfig(gtk+-3.0) >= 3.14.0
BuildRequires: pkgconfig(libwnck-3.0)
BuildRequires: pkgconfig(libcanberra-gtk3)
BuildRequires: mate-common >= 1.16.0
BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: pkgconfig(glib-2.0) >= 2.36
BuildRequires: pkgconfig(gio-2.0) >= 2.36
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildRequires: pkgconfig(gdk-pixbuf-2.0)
BuildRequires: pkgconfig(pango) >= 1.15.4
BuildRequires: pkgconfig(mateweather) >= 1.22.0
BuildRequires: pkgconfig(libmate-menu) >= 1.22.0
BuildRequires: pkgconfig(librsvg-2.0) >= 2.36.2
BuildRequires: pkgconfig(mate-desktop-2.0) >= 1.22.0
BuildRequires: pkgconfig(sm)
BuildRequires: pkgconfig(dconf)
BuildRequires: itstool
BuildRequires: yelp-tools

Requires: mate-session-manager
Requires: mate-desktop
Requires: mate-menus
Requires: mate-screensaver
Requires: mate-polkit
Requires: dconf-editor
Requires: gsettings-desktop-schemas
Requires: %{libname}

%description
MATE (yerba maté) is a user-friendly set of applications and desktop
tools to be used in conjunction with a window manager for the X Window
System.

The MATE panel packages provides the mate panel, menus and some
basic applets for the panel.

%package -n %{libname}
Summary: %{summary}
Group: System/Libraries

%description -n %{libname}
Panel libraries for running MATE panels.

%package -n %{develname}
Summary: Static libraries, include files for MATE panel
Group: Development/Libraries
Provides: %{name}-devel = %{version}-%{release}
Provides: libmate-panel-applet-devel = %{version}-%{release}
Provides: libmate-panel-applet%{api}-devel = %{version}-%{release}
Requires: %{libname} = %{version}-%{release}

Obsoletes: mate-panel-devel
Provides: mate-panel-devel = %{version}-%{release}

%description -n %{develname}
Panel libraries and header files for creating MATE panels.

%package doc
Summary:  Documentation support for %{name}
Group:    Documentation
Requires: %{name} = %{version}-%{release}

%description doc
This package provides help files for %{name}.

%prep
%setup -q
%autopatch -p1

%build
./autogen.sh
%configure2_5x \
           --disable-static                       \
           --disable-schemas-compile              \
           --enable-x11                               \
           --enable-wayland=no \
           --libexecdir=%{_libexecdir}/mate-panel \
           --with-in-process-applets=all          \
           --enable-introspection


sed -i -e 's/ -shared / -Wl,-O1,--as-needed\0/g' libtool

%make_build

%install
rm -rf %buildroot
%make_install


#default panel layout
install -m 0644 %SOURCE1 %{buildroot}/%{_datadir}/mate-panel/layouts/default.layout

#remove old files
find %{buildroot} -name '*.la' -delete

%find_lang %{name} --with-gnome --all-name

%files -f %{name}.lang
%{_mandir}/man1/*
%{_bindir}/mate-desktop-item-edit
%{_bindir}/mate-panel
%{_bindir}/mate-panel-test-applets
%{_datadir}/glib-2.0/schemas/org.mate.panel.*.xml
%{_datadir}/applications/mate-panel.desktop
%{_iconsdir}/hicolor/*/*/*
%{_datadir}/mate-panel/
%{_libdir}/mate-panel/libclock-applet.so
%{_libdir}/mate-panel/libfish-applet.so
%{_libdir}/mate-panel/libnotification-area-applet.so
%{_libdir}/mate-panel/libwnck-applet.so
%{_datadir}/mate-panel/layouts/default.layout

%files -n %{libname}
%{_libdir}/libmate-panel-applet-%{api}.so.%{major}*
%{_libdir}/girepository-1.0/MatePanelApplet-%{gi_major}.typelib

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/*
%{_libdir}/libmate-panel-applet-%{api}.so
%{_includedir}/mate-panel-4.0/
%{_libdir}/pkgconfig/libmatepanelapplet-4.0.pc
%{_datadir}/gir-1.0/MatePanelApplet-4.0.gir

%files doc
%{_datadir}/help

%post
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
/sbin/ldconfig

%postun
%{_bindir}/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
/sbin/ldconfig


%changelog
* Wed Mar 06 2024 tex - 1.28.0-4pclos2024
- add req gsettings-desktop-schemas

* Sat Feb 24 2024 tex - 1.28.0-3pclos2024
- enable-x11 and disable-wayland
